Skip to content
GET /unified/lms/course-enrollments

Query Parameters

Refer Specifying query parameters in Truto APIs

userobject

The learner associated with this record

1 supported1 required
TalentLMS
required
idstring
required·

The unique identifier for a user

emailsobject[]

The emails of the user

3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

namestring

The name of the user

courseobject

The course associated with this record

1 supported1 required
TalentLMS
required
idstring
required·

The unique identifier for the course

titlestring

The title of the course

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Course enrollments

idstring
required·

The unique identifier for the course enrollment record

1 supported
TalentLMS
supported
assigned_atstring · date-time

The date and time the course was assigned to the user, when available

assigned_byobject

The assigner of this course to the user, when available

2 properties
idstring

The unique identifier for a user

namestring

The name of the user

attempt_numberinteger

The latest attempt number, when the LMS supports retakes

attempts_countinteger

Total attempts count, when available

completed_atstring · date-time

The date and time the user completed the course, when available

1 supported
TalentLMS
supported
courseobject

The course associated with this record

1 supported
TalentLMS
supported
2 properties
idstring

The unique identifier for the course

titlestring

The title of the course

created_atstring · date-time

The date and time the enrollment record was created

custom_fieldsobject

Provider or customer specific fields mapped into a flexible key-value object

due_atstring · date-time

The due date for course completion, when available

enrolled_atstring · date-time

The date and time the user enrolled or registered, when available

1 supported
TalentLMS
supported
is_mandatoryboolean

Whether this enrollment is part of a mandatory assignment, when available

last_activity_atstring · date-time

The date and time of the last recorded activity for this enrollment, when available

progress_percentnumber

Progress percentage from 0 to 100, when available

1 supported
TalentLMS
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

scorenumber

The latest or final score, when available

started_atstring · date-time

The date and time the user started the course, when available

statusstring

The lifecycle status for the user in this course

Possible values:
assignedenrolledin_progresscompletedpassedfailedwithdrawnexpiredoverdueunknown
1 supported
TalentLMS
supported
time_spent_secondsinteger

Total time spent in seconds, when available

1 supported
TalentLMS
supported
updated_atstring · date-time

The date and time the enrollment record was last updated

1 supported
TalentLMS
supported
urlsobject[]

The URLs of the course-enrollments

2 properties
typestring

The type of URL

urlstring

The URL

userobject

The learner associated with this record

1 supported
TalentLMS
supported
3 properties
emailsobject[]

The emails of the user

3 properties
emailstring

The email address

is_primaryboolean

Whether the email address is primary

typestring

The type of email address

idstring

The unique identifier for a user

namestring

The name of the user

curl -X GET 'https://api.truto.one/unified/lms/course-enrollments?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/lms/course-enrollments?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/lms/course-enrollments"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'lms',
  'courseenrollments',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "lms",
        "courseenrollments",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())